Package org.bukkit.event.vehicle

# Class VehicleDamageEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.vehicle.VehicleEvent
org.bukkit.event.vehicle.VehicleDamageEvent

All Implemented Interfaces:
  `Cancellable`

public class VehicleDamageEvent extends VehicleEvent implements Cancellable
Raised when a vehicle receives damage.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.vehicle.VehicleEvent

`vehicle`

## Constructor Summary

Constructors
Constructor
Description
`VehicleDamageEvent(@NotNull Vehicle vehicle, @Nullable Entity attacker, double damage)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Entity`
`getAttacker()`
Gets the Entity that is attacking the vehicle
`double`
`getDamage()`
Gets the damage done to the vehicle
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setDamage(double damage)`
Sets the damage done to the vehicle

### Methods inherited from class org.bukkit.event.vehicle.VehicleEvent

`getVehicle`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VehicleDamageEvent

public VehicleDamageEvent(@NotNull @NotNull Vehicle vehicle, @Nullable @Nullable Entity attacker, double damage)

## Method Details

### getAttacker

@Nullable public @Nullable Entity getAttacker()
Gets the Entity that is attacking the vehicle

Returns:
  the Entity that is attacking the vehicle

### getDamage

public double getDamage()
Gets the damage done to the vehicle

Returns:
  the damage done to the vehicle

### setDamage

public void setDamage(double damage)
Sets the damage done to the vehicle

Parameters:
  `damage` - The damage

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()